### Persephone - a socio-economic-ecological model of European agricultural landscapes.
###
### Daniel Vedder <daniel.vedder@idiv.de>
### Lea Kolb <lea-deborah.kolb@idiv.de>
### (c) 2022, licensed under the terms of the MIT license
###
### This file defines the module (= "library") for the Persephone model.
### To run the model, either execute `run.jl` from the commandline,
### or import the module using your own wrapper script or software.
###

module Persephone

## define dependencies
using
    Agents,
    ArgParse,
    Logging

## define exported functions and variables
export
    simulate

## include all module files
include("core/input.jl")

include("core/output.jl")

include("crop/crops.jl")

include("ecology/ecology.jl")

include("farm/farm.jl")

include("core/simulation.jl")

end
